]> gerrit.simantics Code Review - simantics/fmil.git/blob - org.simantics.fmil.core/native/FMILibrary/ThirdParty/c99_snprintf/c99-snprintf_1.1/Makefile.in
Add FMILibrary-2.0.3 to org.simantics.fmil.core\native.
[simantics/fmil.git] / org.simantics.fmil.core / native / FMILibrary / ThirdParty / c99_snprintf / c99-snprintf_1.1 / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # $Id: Makefile.am,v 1.1.1.1 2008/01/06 03:24:00 holger Exp $
18
19
20 VPATH = @srcdir@
21 pkgdatadir = $(datadir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkgincludedir = $(includedir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 bin_PROGRAMS = example$(EXEEXT)
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
40         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
41         depcomp install-sh missing snprintf.c
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/m4/snprintf.m4 \
44         $(top_srcdir)/configure.ac
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46         $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48  configure.lineno config.status.lineno
49 mkinstalldirs = $(install_sh) -d
50 CONFIG_HEADER = config.h
51 CONFIG_CLEAN_FILES =
52 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgdatadir)"
53 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
54 PROGRAMS = $(bin_PROGRAMS)
55 am_example_OBJECTS = example.$(OBJEXT)
56 example_OBJECTS = $(am_example_OBJECTS)
57 example_DEPENDENCIES = $(LIBOBJS)
58 DEFAULT_INCLUDES = -I.@am__isrc@
59 depcomp = $(SHELL) $(top_srcdir)/depcomp
60 am__depfiles_maybe = depfiles
61 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
62         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
63 CCLD = $(CC)
64 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
65 SOURCES = $(example_SOURCES)
66 DIST_SOURCES = $(example_SOURCES)
67 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
68 am__vpath_adj = case $$p in \
69     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
70     *) f=$$p;; \
71   esac;
72 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
73 pkgdataDATA_INSTALL = $(INSTALL_DATA)
74 DATA = $(pkgdata_DATA)
75 ETAGS = etags
76 CTAGS = ctags
77 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
78 distdir = $(PACKAGE)-$(VERSION)
79 top_distdir = $(distdir)
80 am__remove_distdir = \
81   { test ! -d $(distdir) \
82     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
83          && rm -fr $(distdir); }; }
84 DIST_ARCHIVES = $(distdir).tar.gz
85 GZIP_ENV = --best
86 distuninstallcheck_listfiles = find . -type f -print
87 distcleancheck_listfiles = find . -type f -print
88 ACLOCAL = @ACLOCAL@
89 AMTAR = @AMTAR@
90 AUTOCONF = @AUTOCONF@
91 AUTOHEADER = @AUTOHEADER@
92 AUTOMAKE = @AUTOMAKE@
93 AWK = @AWK@
94 CC = @CC@
95 CCDEPMODE = @CCDEPMODE@
96 CFLAGS = @CFLAGS@
97 CPP = @CPP@
98 CPPFLAGS = @CPPFLAGS@
99 CYGPATH_W = @CYGPATH_W@
100 DEFS = @DEFS@
101 DEPDIR = @DEPDIR@
102 ECHO_C = @ECHO_C@
103 ECHO_N = @ECHO_N@
104 ECHO_T = @ECHO_T@
105 EGREP = @EGREP@
106 EXEEXT = @EXEEXT@
107 GREP = @GREP@
108 INSTALL = @INSTALL@
109 INSTALL_DATA = @INSTALL_DATA@
110 INSTALL_PROGRAM = @INSTALL_PROGRAM@
111 INSTALL_SCRIPT = @INSTALL_SCRIPT@
112 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
113 LDFLAGS = @LDFLAGS@
114 LIBOBJS = @LIBOBJS@
115 LIBS = @LIBS@
116 LTLIBOBJS = @LTLIBOBJS@
117 MAKEINFO = @MAKEINFO@
118 MKDIR_P = @MKDIR_P@
119 OBJEXT = @OBJEXT@
120 PACKAGE = @PACKAGE@
121 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
122 PACKAGE_NAME = @PACKAGE_NAME@
123 PACKAGE_STRING = @PACKAGE_STRING@
124 PACKAGE_TARNAME = @PACKAGE_TARNAME@
125 PACKAGE_VERSION = @PACKAGE_VERSION@
126 PATH_SEPARATOR = @PATH_SEPARATOR@
127 SET_MAKE = @SET_MAKE@
128 SHELL = @SHELL@
129 STRIP = @STRIP@
130 VERSION = @VERSION@
131 abs_builddir = @abs_builddir@
132 abs_srcdir = @abs_srcdir@
133 abs_top_builddir = @abs_top_builddir@
134 abs_top_srcdir = @abs_top_srcdir@
135 ac_ct_CC = @ac_ct_CC@
136 am__include = @am__include@
137 am__leading_dot = @am__leading_dot@
138 am__quote = @am__quote@
139 am__tar = @am__tar@
140 am__untar = @am__untar@
141 bindir = @bindir@
142 build_alias = @build_alias@
143 builddir = @builddir@
144 datadir = @datadir@
145 datarootdir = @datarootdir@
146 docdir = @docdir@
147 dvidir = @dvidir@
148 exec_prefix = @exec_prefix@
149 host_alias = @host_alias@
150 htmldir = @htmldir@
151 includedir = @includedir@
152 infodir = @infodir@
153 install_sh = @install_sh@
154 libdir = @libdir@
155 libexecdir = @libexecdir@
156 localedir = @localedir@
157 localstatedir = @localstatedir@
158 mandir = @mandir@
159 mkdir_p = @mkdir_p@
160 oldincludedir = @oldincludedir@
161 pdfdir = @pdfdir@
162 prefix = @prefix@
163 program_transform_name = @program_transform_name@
164 psdir = @psdir@
165 sbindir = @sbindir@
166 sharedstatedir = @sharedstatedir@
167 srcdir = @srcdir@
168 sysconfdir = @sysconfdir@
169 target_alias = @target_alias@
170 top_builddir = @top_builddir@
171 top_srcdir = @top_srcdir@
172 pkgdata_DATA = AUTHORS ChangeLog COPYING NEWS README
173 example_SOURCES = example.c system.h
174 example_LDADD = $(LIBOBJS)
175 ACLOCAL_AMFLAGS = -I m4
176 EXTRA_DIST = autogen.sh test.sh
177 all: config.h
178         $(MAKE) $(AM_MAKEFLAGS) all-am
179
180 .SUFFIXES:
181 .SUFFIXES: .c .o .obj
182 am--refresh:
183         @:
184 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
185         @for dep in $?; do \
186           case '$(am__configure_deps)' in \
187             *$$dep*) \
188               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
189               cd $(srcdir) && $(AUTOMAKE) --gnu  \
190                 && exit 0; \
191               exit 1;; \
192           esac; \
193         done; \
194         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
195         cd $(top_srcdir) && \
196           $(AUTOMAKE) --gnu  Makefile
197 .PRECIOUS: Makefile
198 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
199         @case '$?' in \
200           *config.status*) \
201             echo ' $(SHELL) ./config.status'; \
202             $(SHELL) ./config.status;; \
203           *) \
204             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
205             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
206         esac;
207
208 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
209         $(SHELL) ./config.status --recheck
210
211 $(top_srcdir)/configure:  $(am__configure_deps)
212         cd $(srcdir) && $(AUTOCONF)
213 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
214         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
215
216 config.h: stamp-h1
217         @if test ! -f $@; then \
218           rm -f stamp-h1; \
219           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
220         else :; fi
221
222 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
223         @rm -f stamp-h1
224         cd $(top_builddir) && $(SHELL) ./config.status config.h
225 $(srcdir)/config.h.in:  $(am__configure_deps) 
226         cd $(top_srcdir) && $(AUTOHEADER)
227         rm -f stamp-h1
228         touch $@
229
230 distclean-hdr:
231         -rm -f config.h stamp-h1
232 install-binPROGRAMS: $(bin_PROGRAMS)
233         @$(NORMAL_INSTALL)
234         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
235         @list='$(bin_PROGRAMS)'; for p in $$list; do \
236           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
237           if test -f $$p \
238           ; then \
239             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
240            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
241            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
242           else :; fi; \
243         done
244
245 uninstall-binPROGRAMS:
246         @$(NORMAL_UNINSTALL)
247         @list='$(bin_PROGRAMS)'; for p in $$list; do \
248           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
249           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
250           rm -f "$(DESTDIR)$(bindir)/$$f"; \
251         done
252
253 clean-binPROGRAMS:
254         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
255 example$(EXEEXT): $(example_OBJECTS) $(example_DEPENDENCIES) 
256         @rm -f example$(EXEEXT)
257         $(LINK) $(example_OBJECTS) $(example_LDADD) $(LIBS)
258
259 mostlyclean-compile:
260         -rm -f *.$(OBJEXT)
261
262 distclean-compile:
263         -rm -f *.tab.c
264
265 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/snprintf.Po@am__quote@
266 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/example.Po@am__quote@
267
268 .c.o:
269 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
270 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
271 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
272 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
273 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
274
275 .c.obj:
276 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
277 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
278 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
279 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
280 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
281 install-pkgdataDATA: $(pkgdata_DATA)
282         @$(NORMAL_INSTALL)
283         test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
284         @list='$(pkgdata_DATA)'; for p in $$list; do \
285           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
286           f=$(am__strip_dir) \
287           echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
288           $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
289         done
290
291 uninstall-pkgdataDATA:
292         @$(NORMAL_UNINSTALL)
293         @list='$(pkgdata_DATA)'; for p in $$list; do \
294           f=$(am__strip_dir) \
295           echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
296           rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
297         done
298
299 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
300         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
301         unique=`for i in $$list; do \
302             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
303           done | \
304           $(AWK) '    { files[$$0] = 1; } \
305                END { for (i in files) print i; }'`; \
306         mkid -fID $$unique
307 tags: TAGS
308
309 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
310                 $(TAGS_FILES) $(LISP)
311         tags=; \
312         here=`pwd`; \
313         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
314         unique=`for i in $$list; do \
315             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
316           done | \
317           $(AWK) '    { files[$$0] = 1; } \
318                END { for (i in files) print i; }'`; \
319         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
320           test -n "$$unique" || unique=$$empty_fix; \
321           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
322             $$tags $$unique; \
323         fi
324 ctags: CTAGS
325 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
326                 $(TAGS_FILES) $(LISP)
327         tags=; \
328         here=`pwd`; \
329         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
330         unique=`for i in $$list; do \
331             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
332           done | \
333           $(AWK) '    { files[$$0] = 1; } \
334                END { for (i in files) print i; }'`; \
335         test -z "$(CTAGS_ARGS)$$tags$$unique" \
336           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
337              $$tags $$unique
338
339 GTAGS:
340         here=`$(am__cd) $(top_builddir) && pwd` \
341           && cd $(top_srcdir) \
342           && gtags -i $(GTAGS_ARGS) $$here
343
344 distclean-tags:
345         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
346
347 distdir: $(DISTFILES)
348         $(am__remove_distdir)
349         test -d $(distdir) || mkdir $(distdir)
350         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
351         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
352         list='$(DISTFILES)'; \
353           dist_files=`for file in $$list; do echo $$file; done | \
354           sed -e "s|^$$srcdirstrip/||;t" \
355               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
356         case $$dist_files in \
357           */*) $(MKDIR_P) `echo "$$dist_files" | \
358                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
359                            sort -u` ;; \
360         esac; \
361         for file in $$dist_files; do \
362           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
363           if test -d $$d/$$file; then \
364             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
365             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
366               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
367             fi; \
368             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
369           else \
370             test -f $(distdir)/$$file \
371             || cp -p $$d/$$file $(distdir)/$$file \
372             || exit 1; \
373           fi; \
374         done
375         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
376           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
377           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
378           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
379         || chmod -R a+r $(distdir)
380 dist-gzip: distdir
381         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
382         $(am__remove_distdir)
383
384 dist-bzip2: distdir
385         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
386         $(am__remove_distdir)
387
388 dist-tarZ: distdir
389         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
390         $(am__remove_distdir)
391
392 dist-shar: distdir
393         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
394         $(am__remove_distdir)
395
396 dist-zip: distdir
397         -rm -f $(distdir).zip
398         zip -rq $(distdir).zip $(distdir)
399         $(am__remove_distdir)
400
401 dist dist-all: distdir
402         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
403         $(am__remove_distdir)
404
405 # This target untars the dist file and tries a VPATH configuration.  Then
406 # it guarantees that the distribution is self-contained by making another
407 # tarfile.
408 distcheck: dist
409         case '$(DIST_ARCHIVES)' in \
410         *.tar.gz*) \
411           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
412         *.tar.bz2*) \
413           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
414         *.tar.Z*) \
415           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
416         *.shar.gz*) \
417           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
418         *.zip*) \
419           unzip $(distdir).zip ;;\
420         esac
421         chmod -R a-w $(distdir); chmod a+w $(distdir)
422         mkdir $(distdir)/_build
423         mkdir $(distdir)/_inst
424         chmod a-w $(distdir)
425         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
426           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
427           && cd $(distdir)/_build \
428           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
429             $(DISTCHECK_CONFIGURE_FLAGS) \
430           && $(MAKE) $(AM_MAKEFLAGS) \
431           && $(MAKE) $(AM_MAKEFLAGS) dvi \
432           && $(MAKE) $(AM_MAKEFLAGS) check \
433           && $(MAKE) $(AM_MAKEFLAGS) install \
434           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
435           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
436           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
437                 distuninstallcheck \
438           && chmod -R a-w "$$dc_install_base" \
439           && ({ \
440                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
441                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
442                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
443                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
444                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
445               } || { rm -rf "$$dc_destdir"; exit 1; }) \
446           && rm -rf "$$dc_destdir" \
447           && $(MAKE) $(AM_MAKEFLAGS) dist \
448           && rm -rf $(DIST_ARCHIVES) \
449           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
450         $(am__remove_distdir)
451         @(echo "$(distdir) archives ready for distribution: "; \
452           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
453           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
454 distuninstallcheck:
455         @cd $(distuninstallcheck_dir) \
456         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
457            || { echo "ERROR: files left after uninstall:" ; \
458                 if test -n "$(DESTDIR)"; then \
459                   echo "  (check DESTDIR support)"; \
460                 fi ; \
461                 $(distuninstallcheck_listfiles) ; \
462                 exit 1; } >&2
463 distcleancheck: distclean
464         @if test '$(srcdir)' = . ; then \
465           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
466           exit 1 ; \
467         fi
468         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
469           || { echo "ERROR: files left in build directory after distclean:" ; \
470                $(distcleancheck_listfiles) ; \
471                exit 1; } >&2
472 check-am: all-am
473 check: check-am
474 all-am: Makefile $(PROGRAMS) $(DATA) config.h
475 installdirs:
476         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgdatadir)"; do \
477           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
478         done
479 install: install-am
480 install-exec: install-exec-am
481 install-data: install-data-am
482 uninstall: uninstall-am
483
484 install-am: all-am
485         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
486
487 installcheck: installcheck-am
488 install-strip:
489         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
490           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
491           `test -z '$(STRIP)' || \
492             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
493 mostlyclean-generic:
494
495 clean-generic:
496
497 distclean-generic:
498         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
499
500 maintainer-clean-generic:
501         @echo "This command is intended for maintainers to use"
502         @echo "it deletes files that may require special tools to rebuild."
503 clean: clean-am
504
505 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
506
507 distclean: distclean-am
508         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
509         -rm -rf $(DEPDIR) ./$(DEPDIR)
510         -rm -f Makefile
511 distclean-am: clean-am distclean-compile distclean-generic \
512         distclean-hdr distclean-tags
513
514 dvi: dvi-am
515
516 dvi-am:
517
518 html: html-am
519
520 info: info-am
521
522 info-am:
523
524 install-data-am: install-pkgdataDATA
525
526 install-dvi: install-dvi-am
527
528 install-exec-am: install-binPROGRAMS
529
530 install-html: install-html-am
531
532 install-info: install-info-am
533
534 install-man:
535
536 install-pdf: install-pdf-am
537
538 install-ps: install-ps-am
539
540 installcheck-am:
541
542 maintainer-clean: maintainer-clean-am
543         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
544         -rm -rf $(top_srcdir)/autom4te.cache
545         -rm -rf $(DEPDIR) ./$(DEPDIR)
546         -rm -f Makefile
547 maintainer-clean-am: distclean-am maintainer-clean-generic
548
549 mostlyclean: mostlyclean-am
550
551 mostlyclean-am: mostlyclean-compile mostlyclean-generic
552
553 pdf: pdf-am
554
555 pdf-am:
556
557 ps: ps-am
558
559 ps-am:
560
561 uninstall-am: uninstall-binPROGRAMS uninstall-pkgdataDATA
562
563 .MAKE: install-am install-strip
564
565 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
566         clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
567         dist-gzip dist-shar dist-tarZ dist-zip distcheck distclean \
568         distclean-compile distclean-generic distclean-hdr \
569         distclean-tags distcleancheck distdir distuninstallcheck dvi \
570         dvi-am html html-am info info-am install install-am \
571         install-binPROGRAMS install-data install-data-am install-dvi \
572         install-dvi-am install-exec install-exec-am install-html \
573         install-html-am install-info install-info-am install-man \
574         install-pdf install-pdf-am install-pkgdataDATA install-ps \
575         install-ps-am install-strip installcheck installcheck-am \
576         installdirs maintainer-clean maintainer-clean-generic \
577         mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
578         ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
579         uninstall-pkgdataDATA
580
581 # Tell versions [3.59,3.63) of GNU make to not export all variables.
582 # Otherwise a system limit (for SysV at least) may be exceeded.
583 .NOEXPORT: